org.jbpm.process.instance.impl

## Class MVELAction

- java.lang.Object
- - org.jbpm.process.instance.impl.MVELAction

- All Implemented Interfaces:
    Externalizable, Serializable, org.drools.core.base.mvel.MVELCompileable, Action

      public class MVELAction
      extends Object
      implements Action, org.drools.core.base.mvel.MVELCompileable, Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVELAction()`
    `MVELAction(org.drools.core.base.mvel.MVELCompilationUnit unit, String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(org.drools.core.rule.MVELDialectRuntimeData data)`
    `void` | `compile(org.drools.core.rule.MVELDialectRuntimeData data, org.drools.core.definitions.rule.impl.RuleImpl rule)`
    `void` | `execute(org.kie.api.runtime.process.ProcessContext context)`
    `Serializable` | `getCompExpr()`
    `String` | `getDialect()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVELAction

          public MVELAction()

    - #### MVELAction

          public MVELAction(org.drools.core.base.mvel.MVELCompilationUnit unit,
                            String id)

  - ### Method Detail

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### compile

          public void compile(org.drools.core.rule.MVELDialectRuntimeData data)

      Specified by:
        `compile` in interface `org.drools.core.base.mvel.MVELCompileable`

    - #### compile

          public void compile(org.drools.core.rule.MVELDialectRuntimeData data,
                              org.drools.core.definitions.rule.impl.RuleImpl rule)

      Specified by:
        `compile` in interface `org.drools.core.base.mvel.MVELCompileable`

    - #### getDialect

          public String getDialect()

    - #### execute

          public void execute(org.kie.api.runtime.process.ProcessContext context)
                       throws Exception

      Specified by:
        `execute` in interface `Action`
      Throws:
        `Exception`

    - #### getCompExpr

          public Serializable getCompExpr()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.